You are using an outdated browser

  dabthoms 13:09 25 Mar 2013
Locked

I am running the latest version of IE. But many websites I visit, including YouTube give me errors saying I'm not using the latest version. Here's YouTube's error "Alert! Your browser is not supported by YouTube and it needs to be updated. It's not just YouTube, many sites give similar errors. Windows says I am running 10.0.9200.16519.

Here's is more info from YouTube:

"You are using an outdated browser, which YouTube no longer supports. Since some features on YouTube may not work, you are viewing a lightweight version of the video page."

Why is this happening?

  lotvic 13:31 25 Mar 2013

It could be that IE10 has switched to compatibility mode so now YouTube thinks it is an older version. productforums.google.com/forum/youtube

  Zeppelyn 14:54 25 Mar 2013

Web sites simply give this message as they have not yet updated their code to support IE10, its they who are behind the times not IE10 so just use compatibility mode till they catch up.

  northumbria61 16:00 25 Mar 2013

Had this on Firefox today so looks like it isn't just an IE10 problem

  Bris 16:26 25 Mar 2013

Just tried YouTube on Firefox, IE9, Safari, and Dragon and all work OK on this PC.

  dabthoms 16:45 25 Mar 2013

Well done lotvic, you got it in one! As soon as I unticked that box that message vanished. Incidentally it also solved the one indicating that my video player was "too small" to play some videos.

  lotvic 17:45 25 Mar 2013

Lucky guess on my part, glad it sorted it :)

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

OnePlus 5 review

Alice Saey's mesmerising animation for Dutch singer Mark Lotterman

iPad Pro 10.5in (2017) review

Comment booster votre iPhone ?